Skip to main content
PUT
/
classrooms
/
{handle}
/
members
Upsert a user from classroom
curl --request PUT \
  --url https://codecombat.com/api/classrooms/{handle}/members \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "code": "<string>",
  "userId": "<string>",
  "retMemberLimit": 123
}
'
import requests

url = "https://codecombat.com/api/classrooms/{handle}/members"

payload = {
"code": "<string>",
"userId": "<string>",
"retMemberLimit": 123
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({code: '<string>', userId: '<string>', retMemberLimit: 123})
};

fetch('https://codecombat.com/api/classrooms/{handle}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_id": "<string>",
  "name": "<string>",
  "members": [
    "<string>"
  ],
  "ownerID": "<string>",
  "description": "<string>",
  "courses": [
    {
      "_id": "<string>",
      "levels": [
        {}
      ],
      "enrolled": [
        "<string>"
      ],
      "instance_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

handle
string
required

The document's _id or slug.

Body

application/json
code
string
required

The code for joining this classroom

userId
string
required

The _id or slug of the user to add to the class.

retMemberLimit
number<double> | null

limit the return number of members for the classroom, the default value is 1000

Response

200 - application/json

The classroom with the member added.

Subset of properties listed here

_id
string | null
name
string | null
members
string[] | null
ownerID
string | null
description
string | null
courses
ClassroomResponseCoursesItem · object[] | null